Bug 49675 - UMC App Center module startup performance is too slow
UMC App Center module startup performance is too slow
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Dirk Wiesenthal
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-18 11:29 CEST by Erik Damrose
Modified: 2019-12-18 13:33 CET (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.057
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2019-06-18 11:29:40 CEST
At Bug #49674 the threshold for the app center performance test had to be increased, because is took longer than 15 seconds to perform a quick appcenter/query command.

The startup performance of the UMC module should be improved.
Comment 1 Dirk Wiesenthal univentionstaff 2019-12-13 11:21:16 CET
Fixed in
  univention-appcenter 8.0.11-97A~4.4.0.201912131056

As always, this is an everlasting task. But it should be better now:

Prior to this change, "query(quick=True)" skipped an "univention-app update" and only returned a subset of the attributes to save some upload time. Faster, but apparently, not fast enough.

Now, "query(quick=True)" simply returns the content of a cache file. This cache file is the return value of "query(quick=False)", which is issued right afterwards by the frontend.

So you always get the value of your last opening of the module. As the query is user independent, this works across sessions.
Comment 2 Erik Damrose univentionstaff 2019-12-13 14:02:06 CET
Q: In order to see if there are app updates available, i now have to open the app center twice in a row?
Comment 3 Dirk Wiesenthal univentionstaff 2019-12-13 14:17:32 CET
A: (and sorry for not being clear) query(quick=False) is issued right after the first call, rewrites the cache and returns the current state. This current state needs to update the view in the App Center. This should happen even today, but it is currently buggy (for some time now) and needs to be fixed along with this bug. I currently do not know which bug will be used to tackle this issue, otherwise I would have depended on it.
Comment 4 Erik Damrose univentionstaff 2019-12-13 14:27:58 CET
Thank you for the clarification, for me it was not clear that the appcenter module view would be updated after query(quick=False).
Comment 5 Johannes Keiser univentionstaff 2019-12-17 16:05:15 CET
OK: query is cached in json file and query(quick=True) uses the content of json as answer
OK: json is created on upgrade
OK: yaml (57faacff9a Bug #49675: yaml)
-> verified
Comment 6 Erik Damrose univentionstaff 2019-12-18 13:33:08 CET
<http://errata.software-univention.de/ucs/4.4/405.html>